Skip to main content
GET
/
v1
/
graph
/
{identifier}
Graf powiązań
curl --request GET \
  --url https://api.krdata.pl/v1/graph/{identifier} \
  --header 'x-api-key: <api-key>'
{
  "root_id": "<string>",
  "depth": 123,
  "truncated": true,
  "max_nodes": 123,
  "nodes": [
    {
      "id": "<string>",
      "kind": "<string>",
      "name": "<string>",
      "identifiers": {
        "krs": "<string>",
        "nip": "<string>",
        "regon": "<string>",
        "registry_type": "<string>"
      },
      "datasets": [
        "<string>"
      ],
      "is_root": false,
      "is_hub": true,
      "edge_count": 123
    }
  ],
  "edges": [
    {
      "source": "<string>",
      "target": "<string>",
      "roles": [
        {
          "source": "<string>",
          "relation": "<string>",
          "role_type": "<string>",
          "position": "<string>"
        }
      ]
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.krdata.pl/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

Path Parameters

identifier
string
required

Query Parameters

depth
integer
default:2
Required range: 1 <= x <= 3

Response

Successful Response

root_id
string
required
depth
integer
required
truncated
boolean
required
max_nodes
integer
required
nodes
GraphNode · object[]
required
edges
GraphEdge · object[]
required